@font-face {
    font-family: "Moodcake";
    src: url(/assets/Moodcake.otf);
}

:root {
    --paris-green: #4DD363;
    --neon-fuchsia: #FF4CBB;
    --medium-slate-blue: #8066F5;
    --white: #EAEAEA;
    --black: #2E2D47;

    --background-color: var(--black);
    --font: "Moodcake";
}

* {
    box-sizing: border-box;
    margin: 0;
}

a {
    text-decoration: none;
}

h1, h2, h3, h4, h5 {
    font-weight: lighter;
}

h3 {
    display: flex;
    flex-direction: row;
    align-items: center;
}

body {
    background-color: var(--background-color);
    min-height: 100vh;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    margin: 0;
    padding: 0;
    font-family: "Moodcake";
}

body::before {
    content: "";
    position: absolute;
    inset: 0;
    z-index: -1;

    background-image: linear-gradient(50deg, #2e2d47 13.33%, #4dd363 13.33%, #4dd363 16.67%, #2e2d47 16.67%, #2e2d47 30%, #ff4cbb 30%, #ff4cbb 33.33%, #2e2d47 33.33%, #2e2d47 46.67%, #8066f5 46.67%, #8066f5 50%, #2e2d47 50%, #2e2d47 63.33%, #4dd363 63.33%, #4dd363 66.67%, #2e2d47 66.67%, #2e2d47 80%, #ff4cbb 80%, #ff4cbb 83.33%, #2e2d47 83.33%, #2e2d47 96.67%, #8066f5 96.67%, #8066f5 100%);
background-size: 97.91px 116.68px;

    opacity: 0.3;
}

.main-image-wrapper {
    padding: 10px;
}

.pagedoll {
    max-width: 700px;
    width: 100%;
}

.main-image {
    margin-top: -150px;
    max-width: 700px;
    width: 100%;
}

.buttons-wrapper {
    padding: 10px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.buttons {
    max-width: 700px;
    width: 100%;

    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 5px;
}

.link {
    height: 40px;
    border-radius: 0.25rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.link-top {
    width: calc(33% - 1px);
}

.link-bottom {
    width: calc(20% - 4px);
}

@media screen and (max-width: 768px) {
    .link, .link-top, .link-bottom {
        width: 100%
    }
}

.green {
    background-color: var(--paris-green);
    color: white;
}

.pink {
    background-color: var(--neon-fuchsia);
    color: white;
}

.purple {
    background-color: var(--medium-slate-blue);
    color: white;
}

.white {
    background-color: var(--white);
    color: var(--black);
}

.black {
    background-color: var(--black);
    border: 2px solid var(--white);
    color: var(--white);
}